Freeciv-3.1: /fast/freeciv/nightly/S3_1/client/agents/sha.c File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Functions | Variables
sha.c File Reference
`#include "log.h"`
`#include "support.h"`
`#include "game.h"`
`#include "map.h"`
`#include "unitlist.h"`
`#include "agents.h"`
`#include "sha.h"`

Go to the source code of this file.

## Functions

static void | sha_tile_update (struct tile *ptile)
static void | sha_unit_change (int id)
static void | sha_unit_new (int id)
static void | sha_unit_remove (int id)
void | simple_historian_init (void)
void | simple_historian_done (void)
struct tile * | sha_tile_recall (struct tile *ptile)
struct unit * | sha_unit_recall (int id)

## Variables

static struct tile * | previous_tiles = NULL
static struct unit_list * | previous_units

## Function Documentation

## ◆ sha_tile_recall()

struct tile * sha_tile_recall | ( | struct tile * | ptile | ) |

Return pointer to tile as it was last reported to us.

Definition at line 142 of file sha.c.

## ◆ sha_tile_update()

static void sha_tile_update | ( | struct tile * | ptile | ) |

static

Tile changed callback

Definition at line 47 of file sha.c.

Referenced by simple_historian_init().

## ◆ sha_unit_change()

static void sha_unit_change | ( | int | id | ) |

static

Unit changed callback

Definition at line 60 of file sha.c.

Referenced by simple_historian_init().

## ◆ sha_unit_new()

static void sha_unit_new | ( | int | id | ) |

static

New unit callback

Definition at line 74 of file sha.c.

Referenced by simple_historian_init().

## ◆ sha_unit_recall()

struct unit * sha_unit_recall | ( | int | id | ) |

Report pointer to unit as it was last reported to us.

Definition at line 150 of file sha.c.

## ◆ sha_unit_remove()

static void sha_unit_remove | ( | int | id | ) |

static

Unit removed callback

Definition at line 88 of file sha.c.

Referenced by simple_historian_init().

## ◆ simple_historian_done()

void simple_historian_done | ( | void |  | ) |

Free resources allocated for simple historian agent.

Definition at line 130 of file sha.c.

## ◆ simple_historian_init()

void simple_historian_init | ( | void |  | ) |

Initialize simple historian agent

Definition at line 104 of file sha.c.

## Variable Documentation

## ◆ previous_tiles

struct tile* previous_tiles = NULL

static

Definition at line 41 of file sha.c.

Referenced by sha_tile_recall(), sha_tile_update(), and simple_historian_init().

## ◆ previous_units

struct unit_list* previous_units

static

Definition at line 42 of file sha.c.

Referenced by sha_unit_change(), sha_unit_new(), sha_unit_recall(), sha_unit_remove(), simple_historian_done(), and simple_historian_init().